TTF_GetFontDPI(3)

NAME
TTF_GetFontDPI - Get font target resolutions, in dots per inch.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetFontDPI(TTF_Font *font, int *hdpi, int *vdpi);

FUNCTION PARAMETERS

font
    the font to query.

hdpi
    a pointer filled in with the target horizontal DPI.

vdpi
    a pointer filled in with the target vertical DPI.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_SetFontSizeDPI(3)